LibreOffice: XDataSeries Interface Reference

LibreOffice LibreOffice 6.4 SDK API Reference

Public Member Functions | List of all members
XDataSeries Interface Reference

A data series represents the object that has all the knowledge to be rendered as a visual data series. More...

`import"XDataSeries.idl";`

Inheritance diagram for XDataSeries:

## Public Member Functions
::com::sun::star::beans::XPropertySet | getDataPointByIndex ([in] long nIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
void | resetDataPoint ([in] long nIndex)
| the formatting of the specified data point is cleared More...
void | resetAllDataPoints ()
| all data point formatting are cleared More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A data series represents the object that has all the knowledge to be rendered as a visual data series.

## Member Function Documentation

## ◆ getDataPointByIndex()

::com::sun::star::beans::XPropertySet getDataPointByIndex | ( | [in] long | nIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns
  the element at the specified index.

Parameters

  nIndex | specifies the index of the data point within the series. The first index is 0.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the index is not valid.

## ◆ resetAllDataPoints()

void resetAllDataPoints | ( |  | ) |

all data point formatting are cleared

## ◆ resetDataPoint()

void resetDataPoint | ( | [in] long | nIndex | ) |

the formatting of the specified data point is cleared

Parameters

  nIndex | specifies the index of the data point within the series. The first index is 0.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XDataSeries.idl